<template>
	<div class="fn_ivr">
		<div class="trees">
			<div v-for="item in menus" v-show="item.ivrId === ivrSelectedId || ivrSelectedId === 'all'" :id="'tree' + item.id + 1"></div>
			<div id="tree" class="dav_ivr_trend" v-show="ivrSelectedId !== 'all'"></div>
		</div>
		<div class="fn_right_side">
			<div class="fn_right_in">
				<a href="#" class="fn_new_que" data-toggle='modal' data-target='#createNewIvr' v-if="can('IVR', 'Edit')">
					<i class="mdi mdi-file"></i> New queue...
				</a>
			</div>
			<div class="fn_right_in">
				<h4>IVR</h4>


				<ul class="fn_ivr_items">

					<li class="fn_current dav_ivr_categories" v-for="category in ivrCategories">
						<a href="javascript:void(0)" @click="ivrSelectedId = category.id">
							<svg id="menu_1_" data-name="menu (1)" xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
								<rect id="Rectangle_173" data-name="Rectangle 173" class="cls-1" width="3.899" height="3.899" transform="translate(0 12.101)"/>
								<rect id="Rectangle_174" data-name="Rectangle 174" class="cls-1" width="3.899" height="3.899" transform="translate(0 6.05)"/>
								<rect id="Rectangle_175" data-name="Rectangle 175" class="cls-1" width="3.899" height="3.899"/>
								<rect id="Rectangle_176" data-name="Rectangle 176" class="cls-1" width="3.899" height="3.899" transform="translate(6.05 12.101)"/>
								<rect id="Rectangle_177" data-name="Rectangle 177" class="cls-1" width="3.899" height="3.899" transform="translate(6.05 6.05)"/>
								<rect id="Rectangle_178" data-name="Rectangle 178" class="cls-1" width="3.899" height="3.899" transform="translate(6.05)"/>
								<rect id="Rectangle_179" data-name="Rectangle 179" class="cls-1" width="3.899" height="3.899" transform="translate(12.101 12.101)"/>
								<rect id="Rectangle_180" data-name="Rectangle 180" class="cls-1" width="3.899" height="3.899" transform="translate(12.101 6.05)"/>
								<rect id="Rectangle_181" data-name="Rectangle 181" class="cls-1" width="3.899" height="3.899" transform="translate(12.101)"/>
							</svg>
							{{category.name}}
						</a>
						<div>
							<button type="button" class="icon-btn" style="font-size: 20px; color: rgb(178, 185, 196); margin-right: 10px;"
									@click="selectedCategoryFuncToEdit({...category})" v-if="can('IVR', 'Edit')">
								<i class="mdi mdi-pencil"></i>
							</button>
							<button type="button" class="icon-btn" style="font-size: 20px;" @click="selectedCategoryFunc({...category})" v-if="can('IVR', 'Edit')">
								<i class="mdi mdi-delete text-danger"></i>
							</button>
						</div>
					</li>

					<li>
						<a href="javascript:void(0)" @click="ivrSelectedId = 'all'">
							<svg id="menu_1_" data-name="menu (1)" xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
								<rect id="Rectangle_173" data-name="Rectangle 173" class="cls-1" width="3.899" height="3.899" transform="translate(0 12.101)"/>
								<rect id="Rectangle_174" data-name="Rectangle 174" class="cls-1" width="3.899" height="3.899" transform="translate(0 6.05)"/>
								<rect id="Rectangle_175" data-name="Rectangle 175" class="cls-1" width="3.899" height="3.899"/>
								<rect id="Rectangle_176" data-name="Rectangle 176" class="cls-1" width="3.899" height="3.899" transform="translate(6.05 12.101)"/>
								<rect id="Rectangle_177" data-name="Rectangle 177" class="cls-1" width="3.899" height="3.899" transform="translate(6.05 6.05)"/>
								<rect id="Rectangle_178" data-name="Rectangle 178" class="cls-1" width="3.899" height="3.899" transform="translate(6.05)"/>
								<rect id="Rectangle_179" data-name="Rectangle 179" class="cls-1" width="3.899" height="3.899" transform="translate(12.101 12.101)"/>
								<rect id="Rectangle_180" data-name="Rectangle 180" class="cls-1" width="3.899" height="3.899" transform="translate(12.101 6.05)"/>
								<rect id="Rectangle_181" data-name="Rectangle 181" class="cls-1" width="3.899" height="3.899" transform="translate(12.101)"/>
							</svg>
							All
						</a>
					</li>

				</ul>

			</div>
			<div class="fn_right_in">
				<h4>{{ $store.state.locale.broadcast }}</h4>
			</div>
		</div>

		<div class="modal fade" id="createNewIvr" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100">{{ $store.state.locale.createIVR }}</h5>
					</div>
					<div class="modal-body">
						<form @submit.prevent="createNewIvrForm">
							<div class="form-group">
								<label for="digits" class="col-form-label">{{ $store.state.locale.name }}</label>
								<input type="text" class="form-control" id="digits_name" placeholder="-" v-model="createNewIvr.name" required>
							</div>
							<button type="submit" class="fn_btn btn_fn_success mt-3">{{ $store.state.locale.save }}</button>
						</form>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="editIvr" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100">Edit IVR Name</h5>
					</div>
					<div class="modal-body">
						<form @submit.prevent="editIvrCategory">
							<div class="form-group">
								<label for="digits" class="col-form-label">Group name</label>
								<input type="text" class="form-control" id="digits" placeholder="name" v-model="selectedCategoryToEdit.name" required>
							</div>
							<button type="submit" class="fn_btn btn_fn_success mt-3 w-100 m-0">Save</button>
						</form>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="deleteIvr" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100">Delete IVR</h5>
					</div>
					<div class="modal-body">
						<p>Are you sure to delete "{{selectedCategoryToDelete !== null ? selectedCategoryToDelete.name : ''}}"</p>
						<button type="submit" class="fn_btn btn_fn_danger mt-3" @click="deleteIvrCategory">Delete</button>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="addEntry" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100" id="exampleModalLabel">Entry</h5>
					</div>
					<div class="modal-body">
						<form @submit.prevent="submitEntry">
							<div class="form-group">
								<label for="action" class="col-form-label">Route</label>
								<select name="" id="action" class="form-control" v-model="entryForm.action" required>
									<option value="menu-exec-app">Menu exac app</option>
									<option value="menu-sub">Menu sub</option>
									<option value="menu-top">Menu top</option>
									<option value="menu-play-sound">Menu play sound</option>
								</select>
							</div>
							<div class="form-group">
								<label for="digits" class="col-form-label">Digits</label>
								<input type="text" class="form-control" id="digits" placeholder="-" v-model="entryForm.digits" required>
							</div>
							<div class="form-group">
								<label for="param" class="col-form-label">Param</label>
								<input type="text" class="form-control" id="param" placeholder="-" v-model="entryForm.param" required>
							</div>
							<button type="submit" class="fn_btn btn_fn_success mt-3">Save</button>
							<button type="button" class="fn_btn btn_fn_danger mt-3" data-dismiss="modal">Cancel</button>
						</form>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="addMenu" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog modal-lg" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100" id="addMenuModalLabel">Menu</h5>
					</div>
					<div class="modal-body">
						<form @submit.prevent="submitForm">
							<div class="row">
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_name" class="col-form-label">
											Name
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="the name of the ivr menu"></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_name" placeholder="-" v-model="form.name" required>
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_greetLong" class="col-form-label">
											Greet Long
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title='the menu prompt played the first time the menu is played. May be a filename (starting with \ or /) or "say:Text to speak" for TTS, or "phrase:phrase_macro_name" to speak a phrase macro'></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_greetLong" placeholder="-" v-model="form.greetLong" required>
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_greetShort" class="col-form-label">
											Greet Short
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="the shorter version of the menu prompt played when the menu loops. May be filename, say, or phrase"></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_greetShort" placeholder="-" v-model="form.greetShort" required>
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_exitSound" class="col-form-label">
											Exit Sound
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="played when the menu is terminated, May be filename, say, or phrase"></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_exitSound" placeholder="-" v-model="form.exitSound">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_invalidSound" class="col-form-label">
											Invalid Sound
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="played when no entry or an invalid entry is made. May be filename, say, or phrase"></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_invalidSound" placeholder="-" v-model="form.invalidSound">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_confirmMacro" class="col-form-label">
											Confirm Macro
										</label>
										<input type="text" class="form-control" id="menu_confirmMacro" placeholder="-" v-model="form.confirmMacro">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_confirmKey" class="col-form-label">
											Confirm Key
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="the key that tells the IVR that digit-entry is finished. Defaults to #, even if blank"></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_confirmKey" placeholder="-" v-model="form.confirmKey">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_ttsEngine" class="col-form-label">
											Tts Engine
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="name of TTS engine to speak text (ie. cepstral). (optional)."></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_ttsEngine" placeholder="-" v-model="form.ttsEngine">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_ttsVoice" class="col-form-label">
											Tts Voice
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="name of TTS voice to use to speak text (ie. david). (Necessary if tts-engine is specified)."></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_ttsVoice" placeholder="-" v-model="form.ttsVoice">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_confirmAttempts" class="col-form-label">
											Confirm Attempts
										</label>
										<input type="text" class="form-control" id="menu_confirmAttempts" placeholder="-" v-model="form.confirmAttempts">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_timeout" class="col-form-label">
											Timeout
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="number of milliseconds to wait for a after playing confirm-macro to conform entered digits"></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_timeout" placeholder="-" v-model="form.timeout">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_interDigitTimeout" class="col-form-label">
											Inter Digit Timeout
										</label>
										<input type="text" class="form-control" id="menu_interDigitTimeout" placeholder="-" v-model="form.interDigitTimeout">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_maxFailures" class="col-form-label">
											Max Failures
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="maximum wrong digits entry(ies) before ending the menu (default 3 if not specified or invalid (less than 1) values are Specified)."></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_maxFailures" placeholder="-" v-model="form.maxFailures">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_maxTimeouts" class="col-form-label">
											Max Timeouts
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="maximum timeout retry(ies) before ending the menu (default will use the max_failures value or 3 if both are left blank Or invalid (less than 1) values are specified)."></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_maxTimeouts" placeholder="-" v-model="form.maxTimeouts">
									</div>
								</div>
								<div class="col-lg-6">
									<div class="form-group">
										<label for="menu_digitLen" class="col-form-label">
											Digit Len
											<span class="dav_help_circle">
											    <i class="mdi mdi-help-circle" title="maximum number of digits to collect before searching for a matching menu entry"></i>
										    </span>
										</label>
										<input type="text" class="form-control" id="menu_digitLen" placeholder="-" v-model="form.digitLen">
									</div>
								</div>
								<div class="col-lg-12">
									<button type="submit" class="fn_btn btn_fn_success mt-3">Save</button>
									<button type="button" class="fn_btn btn_fn_danger mt-3" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>

	</div>
</template>
<script src="./IVRScript.js"></script>